export declare class EzViewStack {
  private _hostElem;
  private _elemList;
  private _focusedIndex;
  private _totalStackItems;
  /**
   * Indetificador único do componente
   */
  private _dataKey;
  /**
  * Exibe a visão de acordo com o índice.
  */
  show(index: number): Promise<void>;
  /**
  * Obtem o índice selecionado.
  */
  getSelectedIndex(): Promise<number>;
  policyHideRemove(): void;
  policyShowAppend(index: number): void;
  checkElementVisibility(element: Element): void;
  componentWillRender(): void;
  componentDidLoad(): void;
  disconectCallback(): void;
  render(): any;
}
